Name:      checkinstall
Version:   1.6.0
Release:   1%{?dist}
Summary:   CheckInstall installations tracker

Group:     Applications/System
License:   GPLv2+
URL:       http://asic-linux.com.mx/~izto/checkinstall/
Source:    http://checkinstall.izto.org/files/source/checkinstall-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
CheckInstall keeps track of all the files created or modified by your
installation script ("make install" "make install_modules", "setup",
etc), builds a standard binary package and installs it in your system
giving you the ability to uninstall it with your distribution's
standard package management utilities.

%prep
%setup

### FIXME: Fix the path to not use /usr/local (Please fix upstream)
%{__perl} -pi.orig -e '
		s|/usr/local/sbin|\$(sbindir)|g;
		s|/usr/local/bin|\$(bindir)|g;
		s|/usr/local/lib|\$(libdir)|g;
	' Makefile
%{__perl} -pi.orig -e '
		s|/usr/local|%{_prefix}|g;
		s|/lib\b|/%{_lib}|g;
		s|#PREFIX#|%{_prefix}|g;
	' checkinstall checkinstallrc* installwatch-*/installwatch

%build
%{__make} %{?_smp_mflags} \
	PREFIX="%{_prefix}"

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_sbindir} \
			%{buildroot}%{_bindir} \
			%{buildroot}%{_libdir}/checkinstall/
%makeinstall \
	PREFIX="%{_prefix}" \
	BINDIR="%{buildroot}%{_bindir}" \
	LIBDIR="%{buildroot}%{_libdir}" \
	INSTALLWATCH_PREFIX=%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS Changelog COPYING CREDITS FAQ README RELNOTES TODO
%{_bindir}/installwatch
%{_sbindir}/checkinstall
%{_sbindir}/makepak
%{_libdir}/checkinstall/
%{_libdir}/*.so


%changelog

* Tue May 30 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 1.6.0-1
- Initial submit. Based on rf spec.

